GET /v1/flow/oi-build
#GET /v1/flow/oi-buildgetOiBuild
Open interest build regimes per bar (longs / shorts opening or closing)
| Scope | analytics:read |
|---|---|
| Lowest tier | sandbox |
| Weight (units) | 2; 10 over 30 days |
| History each tier may read | Sandbox: 7 days; Starter: 30 days; Elite (included): 30 days; Developer: 180 days; Business: 365 days |
| SDK | Python client.flow.oi_build ยท JavaScript cd.flow.oiBuild |
Parameters
| Parameter | In | Type | Description |
|---|---|---|---|
venue required | query | string | Venue id (see /v1/venues), lower case. |
symbol required | query | string | The venue's symbol (BTCUSDT; see /v1/markets). |
res | query | string | Resolution of the series (5, 15, 30, 60, 240, 1D). |
from | query | string | Start, inclusive: unix seconds or RFC 3339. |
to | query | string | End, exclusive: unix seconds or RFC 3339. Default now. |
n | query | integer | Smoothing bars. |
eps | query | number | Dead band. |
src | query | "venue" | "all" | One venue or every venue of the coin. |
coin | query | string | With src=all. |
Errors
400invalid_param, invalid_cursor401unauthorized: missing, unknown, revoked or expired key403insufficient_scope, tier_required404not_found, not_available, not_in_sandbox422window_too_large429rate_limited (per minute) or quota_exhausted (month; X-Quota-* headers, Retry-After = seconds to the next month); see Retry-After503api_disabled, overloaded
Example
curl "https://api.chartdeck.trade/v1/flow/oi-build?venue=binance&symbol=BTCUSDT" \
-H "Authorization: Bearer $CHARTDECK_API_KEY"from chartdeck import Client
client = Client() # reads CHARTDECK_API_KEY
r = client.flow.oi_build(venue="binance", symbol="BTCUSDT")
print(r.data, r.meta["attribution"])import { ChartDeck } from '@chartdeck/api';
const cd = new ChartDeck(); // reads CHARTDECK_API_KEY
const r = await cd.flow.oiBuild({ venue: "binance", symbol: "BTCUSDT" });
console.log(r.data, r.meta.attribution);